<?php

namespace Litepci;

use DB;
use Illuminate\Database\Seeder;

class EngagementTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('engagements')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'engagement.engagement.view',
                'name'      => 'View Engagement',
            ],
            [
                'slug'      => 'engagement.engagement.create',
                'name'      => 'Create Engagement',
            ],
            [
                'slug'      => 'engagement.engagement.edit',
                'name'      => 'Update Engagement',
            ],
            [
                'slug'      => 'engagement.engagement.delete',
                'name'      => 'Delete Engagement',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/engagement/engagement',
                'name'        => 'Engagement',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/engagement/engagement',
                'name'        => 'Engagement',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'engagement',
                'name'        => 'Engagement',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Engagement',
                'module'    => 'Engagement',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'engagement.engagement.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
