Lavalite package that provides engagement management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepci/engagement`.

    "litepci/engagement": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepci\Engagement\Providers\EngagementServiceProvider::class,

And also add it to alias

    'Engagement'  => Litepci\Engagement\Facades\Engagement::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepci\\EngagementTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepci\Engagement\Providers\EngagementServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepci\Engagement\Providers\EngagementServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepci\Engagement\Providers\EngagementServiceProvider" --tag="view"


## Usage


