    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#engagement" data-toggle="tab">{!! trans('engagement::engagement.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#engagement-engagement-edit'  data-load-to='#engagement-engagement-entry' data-datatable='#engagement-engagement-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#engagement-engagement-entry' data-href='{{guard_url('engagement/engagement')}}/{{$engagement->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('engagement-engagement-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('engagement/engagement/'. $engagement->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="engagement">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('engagement::engagement.name') !!} [{!!$engagement->name!!}] </div>
                @include('engagement::admin.engagement.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>